/**************************************************************************************************
* NOTICE OF COPYRIGHT AND OWNERSHIP OF SOFTWARE:
*
* Copyright 2010 Flexera Software, Inc. and/or InstallShield Co. Inc.  All Rights Reserved.  
*
* This computer program is the property of Flexera Software, Inc. and InstallShield Co. Inc. of 
* Schaumburg, Illinois, U.S.A.  Any use, copy, publication, distribution, display, modification, 
* or transmission of this computer program in whole or in part in any form or by any means without
* the prior express written permission of Flexera Software, Inc. or InstallShield Co. Inc. is 
* strictly prohibited.
* 
* Except when expressly provided by Flexera Software, Inc. or InstallShield Co. Inc. in writing,
* possession of this computer program shall not be construed to confer any license or rights under 
* any of Flexera Software, Inc.s or InstallShield Co. Inc.s intellectual property rights, whether
* by estoppel, implication, or otherwise.  
* 
* ALL COPIES OF THIS PROGRAM MUST DISPLAY THIS NOTICE OF COPYRIGHT AND OWNERSHIP IN FULL.
**************************************************************************************************/
/*
	This header file is part of a sample utility that demonstrates Composite Transactions.

	It parses the (command line) arguments as commands with valuues, attributes and dictionaries.
*/
#ifndef COMP_TRAN_UTIL_VIEW_H
#define COMP_TRAN_UTIL_VIEW_H

#include "FlxActTypes.h"
#include "compTranUtilContext.h"

FlxActBool flxCtuDeleteFulfillments(flxCtuContext* pContext, const flxCtuCommand* pCommand);
void       flxCtuDeleteShowUsage(flxCtuContext* pContext);

FlxActBool flxCtuViewFulfillments(flxCtuContext* pContext, const flxCtuCommand* pCommand);
void       flxCtuViewShowUsage(flxCtuContext* pContext);

#endif	/* Include guard */
